Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
afd Struct Reference

## Data Fields
int | a_af
int | a_addrlen
int | a_socklen
int | a_off
const char * | a_addrany
const char * | a_loopback

## Detailed Description

Definition at line 111 of file getaddrinfo.c.

## Field Documentation

const char* afd::a_addrany

Definition at line 116 of file getaddrinfo.c.

Referenced by getaddrinfo().

int afd::a_addrlen

Definition at line 113 of file getaddrinfo.c.

Referenced by get_name(), and getnameinfo().

int afd::a_af

Definition at line 112 of file getaddrinfo.c.

Referenced by get_addr(), get_name(), getaddrinfo(), and getnameinfo().

const char* afd::a_loopback

Definition at line 117 of file getaddrinfo.c.

Referenced by getaddrinfo().

int afd::a_off

Definition at line 115 of file getaddrinfo.c.

Referenced by getnameinfo().

int afd::a_socklen

Definition at line 114 of file getaddrinfo.c.

Referenced by getnameinfo().

The documentation for this struct was generated from the following files:

- ext/socket/getaddrinfo.c
- ext/socket/getnameinfo.c